コンテンツへスキップ

Bernini-R Edit Image

統合

モデルID bernini-r/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bernini-r/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.03 30 APIクレジット · ≈ ₽3.14 実行前にファイルを計測します このページで実行

APIキーを取得
Open model 画像編集 #edit#image#transform

元の構図を維持しながら、自然言語の指示で画像を編集します

Open model · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

プロンプトまたは要求された編集内容を説明するテキスト。

•必須 image_url
ファイルをドロップ、または

編集ソースとして提供する画像。

デフォルト 848

長辺のピクセル設定。編集ではソース/参照メディアのサイズ上限として使用し、生成では出力サイズの設定に使用します。

詳細設定 negative_prompt · num_inference_steps · seed · enable_prompt_expansion · enable_safety_checker

ネガティブプロンプト。指定しない場合はWan2.2の標準ネガティブプロンプトを使用します。

デフォルト 30

実行するノイズ除去ステップ数。

再現可能な結果を有効にするシード。省略時はランダムに選択されます。

POST /run/bernini-r/edit-image?wait=20 見積もり → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bernini-r/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Bernini-R Edit Imageについて

`image_url`と、天候、素材、スタイルなどを変更する`prompt`指示を指定します。`negative_prompt`は任意です。`num_inference_steps`は1~50、`max_image_size`は長辺を256~1280 pxに設定します。`enable_prompt_expansion`はLLMでプロンプトを書き換え、`actual_prompt`として返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
プロンプトまたは要求された編集内容を説明するテキスト。
negative_prompt任意
型string | null
ネガティブプロンプト。指定しない場合はWan2.2の標準ネガティブプロンプトを使用します。
num_inference_steps任意
型integer
デフォルト30
1 – 50
実行するノイズ除去ステップ数。
max_image_size任意
型integer
デフォルト848
256 – 1,280
長辺のピクセル設定。編集ではソース/参照メディアのサイズ上限として使用し、生成では出力サイズの設定に使用します。
seed任意
型integer | null
再現可能な結果を有効にするシード。省略時はランダムに選択されます。
enable_prompt_expansion任意
型boolean
デフォルトfalse
生成前にLLMでプロンプトを書き換えるオプション。拡張プロンプトで調整されたモデルですが、デフォルトでは無効です。
image_url必須 image
型url · image
編集ソースとして提供する画像。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bernini-r/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42,
    "actual_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}生成または編集の結果の画像。
seed
integer生成中に適用されたシード。
actual_prompt
string | nullプロンプト拡張を実行した場合にのみ設定される、最終的な拡張済みプロンプト。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bernini-r/edit-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt